#!/bin/sh

# mamkpaunix.sh

# this script makes libportaudio.a for unix/linux
# from the pa_stable_v19_20140130

# run from the MoreAmp/libs dir

if [ "libs" != `pwd | rev | cut -c 1-4 | rev` ] ; then
 echo "mamkpaunix.sh : not in libs"
 echo >&2 "mamkpaunix.sh : not in libs"
 exit 1
fi

cd portaudio

# cleanup from any previous build
make clean 2>/dev/null
make distclean 2>/dev/null
rm -f lib/libportaudio.a
rm -fr config.log config.cache config.status Makefile
# rm -fr aclocal.m4 ltmain.sh mkinstalldirs missing configure autom4te.cache

# reconfigure everything
# aclocal -I .
# libtoolize --automake -f
# automake --add-missing
# autoconf
./configure --disable-shared

# build the lib
make

# copy our lib
cp -p lib/.libs/libportaudio.a .

# optional cleanup
# make clean 2>/dev/null
# make distclean 2>/dev/null
# rm -f lib/.libs/libportaudio.a

# back to MoreAmp/libs dir
cd ..

