// mp4ff_int_types.h

// This file is from the faad2 release and does not get
// installed to /usr/local/include by the libfaad install.
// We don't really need it for unix but it is included
// by m4ff.h, which does get installed.
// So we put a copy here instead of adding a step to the
// libfaad installation.

#ifndef _MP4FF_INT_TYPES_H_
#define _MP4FF_INT_TYPES_H_

#ifdef _WIN32

typedef char int8_t;
typedef unsigned char uint8_t;
typedef short int16_t;
typedef unsigned short uint16_t;
typedef long int32_t;
typedef unsigned long uint32_t;

typedef __int64 int64_t;
typedef unsigned __int64 uint64_t;

#else

#include <stdint.h>

#endif


#endif
